OpenNMS API 1.2.9

## org.opennms.netmgt.rtc.datablock
Class RTCNodeKey

    java.lang.Object
      org.opennms.netmgt.rtc.datablock.RTCNodeKey

All Implemented Interfaces:
  java.lang.Comparable

public class RTCNodeKey
extends java.lang.Object
implements java.lang.Comparable

The key used to look up items in the data map

Author:
  Sowmya Kumaraswamy , OpenNMS.org

Field Summary
`private java.lang.String` `m_ip` The ip address of the interface of the node
`private long` `m_nodeID` The node ID
`private java.lang.String` `m_svcName` The service name

Constructor Summary
`RTCNodeKey(long nodeid, java.lang.String ip, java.lang.String svcname)` the constructor for this class

Method Summary
`int` `compareTo(java.lang.Object o)` Implements java.jang.Comparable since this is a key to a treemap
`boolean` `equals(java.lang.Object o)` Overrides the 'equals()' method in the 'Object' superclass
`java.lang.String` `getIP()` Return the IP address
`long` `getNodeID()` Return the node ID
`java.lang.String` `getSvcName()` Return the service name
`int` `hashCode()` Overrides the 'hashCode()' method in the 'Object' superclass
`void` `setIP(java.lang.String ipStr)` Set the IP address
`void` `setNodeID(long id)` Set the node ID
`void` `setSvcName(java.lang.String svcName)` Set the service name
`java.lang.String` `toString()` Returns a string representation of this key

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### m_nodeID

    private long m_nodeID

  The node ID

### m_ip

    private java.lang.String m_ip

  The ip address of the interface of the node

### m_svcName

    private java.lang.String m_svcName

  The service name

Constructor Detail

### RTCNodeKey

    public RTCNodeKey(long nodeid,
                      java.lang.String ip,
                      java.lang.String svcname)

  the constructor for this class

Parameters:
  `nodeid` - the node ID
  `ip` - the node IP
  `svcname` - the service in the node

Method Detail

### setNodeID

    public void setNodeID(long id)

  Set the node ID

  Parameters:
    `id` - the node ID

### setIP

    public void setIP(java.lang.String ipStr)

  Set the IP address

  Parameters:
    `ipStr` - the ip address

### setSvcName

    public void setSvcName(java.lang.String svcName)

  Set the service name

  Parameters:
    `svcName` - the service name

### getNodeID

    public long getNodeID()

  Return the node ID

  Returns:
    the node ID

### getSvcName

    public java.lang.String getSvcName()

  Return the service name

  Returns:
    the service name

### getIP

    public java.lang.String getIP()

  Return the IP address

  Returns:
    the IP address

### hashCode

    public int hashCode()

  Overrides the 'hashCode()' method in the 'Object' superclass

  Returns:
    a sum of hashCodes of the inidividual attributes

### equals

    public boolean equals(java.lang.Object o)

  Overrides the 'equals()' method in the 'Object' superclass

  Returns:
    true if all the attributes are equal

### compareTo

    public int compareTo(java.lang.Object o)

  Implements java.jang.Comparable since this is a key to a treemap

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

### toString

    public java.lang.String toString()

  Returns a string representation of this key

  Returns:
    a string representation of this key

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.